Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.java.util
Class ConfigurationsRepository

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--org.apache.java.util.ConfigurationsRepository

Direct Known Subclasses:
  ExtendedProperties

public abstract class ConfigurationsRepository
extends java.util.Hashtable

This class must be extended by properties providers that are syntax dependent.

The implementing classes should place into the encapsulated `Hashtable` only properties of the form:

- `[String key, String value]` for single values
- `[String key, Vector values]` where the vector must be a sequence of strings.

  Version:
    $Revision: 1.5 $ $Date: 1999/04/26 00:33:58 $
  See Also:
    Serialized Form

  Field Summary
  `protected java.lang.String` | `file` The file connected to this repository (holding comments and such)
  `protected java.lang.String` | `model` The file that contains the model of this repository

  Fields inherited from class java.util.Hashtable
  `count, ENTRIES, entrySet, KEYS, keySet, loadFactor, modCount, serialVersionUID, table, threshold, values, VALUES`

  Constructor Summary
  `ConfigurationsRepository()` Creates an empty configuration repository.
  `ConfigurationsRepository(java.lang.String file)` Creates a configuration repository parsing given file.
  `ConfigurationsRepository(java.lang.String file, java.lang.String model)` Creates a configuration repository parsing given file and using given model.

  Method Summary
  `abstract void` | `load(java.io.InputStream input)`
  `abstract void` | `save(java.io.OutputStream output, java.lang.String Header)`

  Methods inherited from class java.util.Hashtable
  `clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, readObject, rehash, remove, size, toString, values, writeObject`

  Methods inherited from class java.lang.Object
  `, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

  Field Detail

  ### file

      protected java.lang.String file

    The file connected to this repository (holding comments and such)

  ### model

      protected java.lang.String model

    The file that contains the model of this repository

  Constructor Detail

  ### ConfigurationsRepository

      public ConfigurationsRepository()

    Creates an empty configuration repository.

  ### ConfigurationsRepository

      public ConfigurationsRepository(java.lang.String file)
                               throws java.io.IOException

    Creates a configuration repository parsing given file.

  ### ConfigurationsRepository

      public ConfigurationsRepository(java.lang.String file,
                                      java.lang.String model)
                               throws java.io.IOException

    Creates a configuration repository parsing given file and using given model.

  Method Detail

  ### load

      public abstract void load(java.io.InputStream input)
                         throws java.io.IOException

  ### save

      public abstract void save(java.io.OutputStream output,
                                java.lang.String Header)
                         throws java.io.IOException

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD